package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;

/**
 * vpc关联的Fabric资源池
 */
@Table("vpc_fabric_pool")
public class VpcFabricPool {

    @PK(value = PKStrategy.AUTO)
    private Long id; //
    @Column("vpc_id")
    private Long vpcId; // vpcId
    @Column("fabric_pool_id")
    private Long fabricPoolId; // fabric资源池id

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getVpcId() {
        return vpcId;
    }

    public void setVpcId(Long vpcId) {
        this.vpcId = vpcId;
    }

    public Long getFabricPoolId() {
        return fabricPoolId;
    }

    public void setFabricPoolId(Long fabricPoolId) {
        this.fabricPoolId = fabricPoolId;
    }
}
